package;

import flixel.FlxSprite;

class Explosion extends FlxSprite
{
	public function new(x:Float, y:Float) 
	{
		super(x, y);
		
		loadGraphic(AssetPaths.explosion__png, true, 150, 150);
		
		offset.set(150 / 2, 150 / 2);
		
		animation.add("idle", [0, 1, 2, 3, 2, 3], 24, false);
		
		animation.play("idle");
		
		animation.finishCallback = callback;
		
		//alpha = 0.8;
	}
	
	private function callback(name:String):Void
	{
		if (name == "idle")
		{
			kill();
		}
	}
}