package;

import flixel.system.FlxAssets.FlxShader;

class Scanline extends FlxShader
{
	@:glFragmentSource('
		#pragma header
		const float scale = 4.0;

		void main()
		{
			if (mod(floor(openfl_TextureCoordv.y * openfl_TextureSize.y / scale), 2.0) == 0.0)
			{
				vec4 textureColor = texture2D(bitmap, openfl_TextureCoordv).rgba; 
				
				if (textureColor.rgb == 0)
				{
					gl_FragColor = textureColor;
				}
				
				textureColor.rgb += 0.02;
				
				
				gl_FragColor = textureColor;
			}
			else
			
				gl_FragColor = texture2D(bitmap, openfl_TextureCoordv);
		}'
	)
	
	public function new()
	{
		super();
	}
}